rrdtool (1.7.2-4ubuntu11) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 17:07:03 +0100

rrdtool (1.7.2-4ubuntu10) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:10:10 +0000

rrdtool (1.7.2-4ubuntu9) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 02:06:40 -0300

rrdtool (1.7.2-4ubuntu8) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 01 Feb 2024 23:44:03 -0300

rrdtool (1.7.2-4ubuntu7) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:13:10 +0100

rrdtool (1.7.2-4ubuntu6) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 01 Nov 2023 09:02:53 +0000

rrdtool (1.7.2-4ubuntu5) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 06 Feb 2023 23:29:57 +0530

rrdtool (1.7.2-4ubuntu4) lunar; urgency=medium

  * No-change upload to add support for ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 23 Jan 2023 13:32:37 -0300

rrdtool (1.7.2-4ubuntu3) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 17:12:49 +0100

rrdtool (1.7.2-4ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 11:18:48 +0000

rrdtool (1.7.2-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971318). Remaining changes:
    - d/p/0001-clear-LC_ALL-when-setting-LC_TIME-in-rpn2-test.patch:
      backport patch from upstream to fix ftbfs with glibc 2.35.
  * Dropped changes:
    - Stop building the python3-rrdtool-dbg package.
      [Fixed in 1.7.2-4]
    - Fix installation of the python3.10 extension.
      [Fixed in 1.7.2-4]

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 27 Jun 2022 11:56:04 +0530

rrdtool (1.7.2-4) unstable; urgency=medium

  [ Jean-Michel Vourgère ]
  * Changed maintainer team address from alioth to tracker.d.o.
  * d/copyright: Fixed tclrrd.c double entry.
  * Bumped debhelper compat level to 13:
    - librrds-perl.install and rrdtool-tcl.install use builtin variables
      expansion.
    - Dropped build-dependency on dh-exec.
    - Removed --fail-missing in dh_missing, as it is now the default.
  * Bumped d/watch to format 4.
  * New patch python3_example.
  * Drop package python3-rrdtool-dbg. (Closes: #994376)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Wrap long lines in changelog entries: 1.0.42-2.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Thu, 18 Nov 2021 17:35:17 +0100

rrdtool (1.7.2-3ubuntu6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:51:12 +0100

rrdtool (1.7.2-3ubuntu5) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:52:26 +0100

rrdtool (1.7.2-3ubuntu4) jammy; urgency=medium

  * d/patches/0001-clear-LC_ALL-when-setting-LC_TIME-in-rpn2-test.patch:
    backport patch from upstream to fix ftbfs with glibc 2.35.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 27 Jan 2022 10:14:12 +1300

rrdtool (1.7.2-3ubuntu3) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 07 Dec 2021 19:06:55 -0300

rrdtool (1.7.2-3ubuntu2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Nov 2021 16:54:06 -0300

rrdtool (1.7.2-3ubuntu1) jammy; urgency=medium

  * Stop building the python3-rrdtool-dbg package.
  * Fix installation of the python3.10 extension.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 10:40:11 +0200

rrdtool (1.7.2-3build7) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 22:00:48 +0200

rrdtool (1.7.2-3build6) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:23:57 +0200

rrdtool (1.7.2-3build5) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:45:34 +0100

rrdtool (1.7.2-3build4) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 12:47:03 +0100

rrdtool (1.7.2-3build3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:55:43 +0200

rrdtool (1.7.2-3build2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:48 +0000

rrdtool (1.7.2-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:40 +0100

rrdtool (1.7.2-3) unstable; urgency=medium

  * Added Breaks+Replaces for debug symbols migration. (Closes: #943840)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Thu, 31 Oct 2019 09:51:05 +0100

rrdtool (1.7.2-2) unstable; urgency=medium

  * Switch arch packages to use automatic debug packages, but for
    python3-rrdtool-dbg that contains more that symbols. (Closes: #886181)
  * Bumped compat to 12. Added Pre-Depends.
  * Support python 3.8 .so naming changes. (Closes: #942639)
  * Added Build-Depends-Package in symbols file.
  * Bumped policy to 4.4.1.
  * Added Rules-Requires-Root: no.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 20 Oct 2019 00:46:05 +0200

rrdtool (1.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch applied upstream.
  * Bumped standard to 4.4.0.
  * Removed python2 support (See: #938414).
  * Switched from d/compat to debhelper-compat build-depends.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Thu, 05 Sep 2019 18:13:41 +0200

rrdtool (1.7.1-2) unstable; urgency=medium

  * Cherry pick commit from 1.7.2 to prevent daemon segfault.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Thu, 30 May 2019 22:28:06 +0200

rrdtool (1.7.1-1) unstable; urgency=medium

  * New upstream version (Closes: #891491, #898184):
    - New symbol rrd_dump_opt_r in librrd.
    - Installed new help file rrd_pdpcalc.
  * Migrated git packaging repository to salsa.
  * Added lintian override hardening-no-fortify-functions for python and
    python3 packages.
  * Bumped standard to 4.3.0.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Thu, 07 Feb 2019 17:08:22 +0100

rrdtool (1.7.0-1) unstable; urgency=medium

  * New upstream version:
    - Refreshed copyrights. Python bindings switch to LGPL-2.1+.
    - Acknowledged new symbols in librrd.
    - Added build dependency on python-setuptools.
    - Renamed python egg-info.
    - Added rrdlist documentation.
    - Added installation translations.
    - Refreshed patches.
    - Added clean-up for left over files in tests/.
  * Dropped lua5.1 transitional packages.
  * Dropped reproducible build C hacks.
  * Clean up uploaders list. (Closes: #879510, 879511)
  * Build a python3-rrdtool package, using pybuild. Thanks to Matthias Klose.
    (Closes: #883164)
  * Bumped standard to 4.1.3:
    - Use secure scheme in copyright format.
    - Changed priorities from extra to optional.
  * rrdcached: Added lsb-base dependency.
  * Bumped compat to 11:
    - autoreconf is now implicit. Dropped dh --with autoreconf and
      build-dependency.
    - Moved --fail-missing from dh_install to dh_missing.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 07 Feb 2018 23:27:00 +0000

rrdtool (1.6.0-1) unstable; urgency=low

  * New upstream version:
    - Soname bump to librrd8. Adjusted library package name.
    - No longer installing librrd_th.so. The whole library is now thread safe.
    - Python binding: Release the GIL when doing I/O. (Closes: #691765)
    - Drop patches applied upstream.
  * d/control: Switched Vcs-Git to a secure uri.
  * Enabled bindnow hardening.
  * Bumped policy to 3.9.8: No change required.
  * Added lintian false positive override for librrds-perl.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 25 Apr 2016 09:23:34 +0200

rrdtool (1.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream version of patch tests_noverbose.
  * Partial drop of d/patches/reproducible-builds, now built in pod2man.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 25 Apr 2016 09:15:00 +0200

rrdtool (1.5.5-4) unstable; urgency=high

  * Expanded list of files to install. (Closes: #807024)
  * New patch tests_noverbose to disable verbose in tests. This was polluting
    the output, make tests fails, and FTBFS. (Closes: #818156)
  * Bumped policy to 3.9.7: No change required.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 23 Mar 2016 11:46:12 +0100

rrdtool (1.5.5-3) unstable; urgency=high

  * Updated d/patch/series file. (Closes: #805391)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 20 Dec 2015 13:58:21 +0100

rrdtool (1.5.5-2) unstable; urgency=high

  * New patch/mmap_memcpy_overlap to fix FTBFS on mips. Thanks to
    Niko Tyni. (Closes: #805391)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 20 Dec 2015 10:40:55 +0100

rrdtool (1.5.5-1) unstable; urgency=medium

  * New upstream release:
   - Drop patches 7digit and pm_noexec: Applied upstream.
  * Adjusted rrd-lua.lintian-override for lua5.3.
  * Dropped rrdtool-dbg lintian-overrides, fixed in lintian.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 16 Nov 2015 21:55:40 +0100

rrdtool (1.5.4-5) unstable; urgency=medium

  * Removed Multi-Arch:no. (Closes: #795646)
  * Added support for lua5.3.
  * Removed rrdcached from hurd since it uses 'Not implemented' functions.
  * Reduced build and -dev dependencies.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 17 Aug 2015 16:08:45 +0200

rrdtool (1.5.4-4) unstable; urgency=medium

  * Allowed dh_install to proceed when python-setuptools is not installed.
  * Added patch 390x_first_week_day to fix unit tests on 390x architectures.
  * Enabled Multi-Arch. Partial support due to #117142. Lintian override for
    python debug symbols (See #795275).
  * Enabled perl-shared unit tests.
  * Refreshed lua patches headers: Applied-Upstream.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Fri, 14 Aug 2015 15:26:41 +0200

rrdtool (1.5.4-3) unstable; urgency=medium

  * Added new patches to support lua5.2. Thanks Yolanda Robla.
  * Switched building of lua, perl, python and ruby bindings packages to use
    debhelper specific buildsystems:
    - Created packages lua-rrd and lua-rrd-dev, providing support for both
      lua 5.1 and 5.2. The old packages are now transitional. Added
      dependency on dh_lua.
    - Adjusted cleaning, installing and testing to these systems.
  * Force LC_ALL during the build; Re-enabled rpn2 unit test.
  * Enabled rrdcached unit test.
  * d/control: Dropped pre-Jessie transitions.
  * Dropped unused lintian overrides.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 12 Aug 2015 17:23:20 +0200

rrdtool (1.5.4-2) unstable; urgency=low

  * Force UTF-8 encoding and UTC timezone on build.
  * patches/breaks-long-man-lines: Force UTF-8.
  * New patch 7digits to limit precision in unit test success checks.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 09 Aug 2015 22:58:54 +0200

rrdtool (1.5.4-1) unstable; urgency=low

  * Added myself in uploaders.
  * Update d/watch to look dirrectly at github.
  * New upstream version:
    - Fixes json output (Closes: #686825)
    - Fixes rrdupdate duplicate paragraph in man (Closes: #603507)
    - Adds support for floating point values with DERIVE, COUNTER with new
      datasource types: DCOUNTER and DDERIVE. (Closes: #543631)
    - Fixes compilation on hurd. (Closes: #721975)
    - Provide a python example with locale setup. (Closes: #729007).
    - Drop all patches but no-rpath-for-ruby: Applied upstream.
    - Added build-dependency on dc.
    - Ignoring new systemd files that would change the socket location and
      many options. Using upstream lsb files from github. (Closes: #717248,
      #748656)
  * Moved project to alioth: Updated maintainer address and Vcs-* fields.
  * Dropped transitional packages librrd-ruby*.
  * Bumped standards to 3.9.6: No change required.
  * Switch copyright to DEP5 format.
  * Bumped source format to 3.0 (quilt):
    - Dropped d/README.source;
    - Dropped quilt has a dependency.
  * Minimized d/rules:
    - Using dh_auto_configure fixes all hardening but for ruby.
    - Uses /usr/lib/arch-triplet.
    - Clean using d/clean.
  * Enabled verbose build.
  * Re-enabled optimisations on arm. (Closes: #467342)
  * Disable rpn2 unittest that fails.
  * Made the builds reproducible:
    - Set up fake BUILD_DATE and BUILD_TIME in d/rules from changelog.
    - New patch reproducible-builds to use these.
  * Added patch breaks-long-man-lines to fix "Cant break line" warnings.
  * Added librrd4.lintian-overrides for false positive.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 09 Aug 2015 17:43:02 +0200

rrdtool (1.4.8-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix setlocale calls, causing free'd memory usage. Thanks Matthias Nagel.
    (Closes: #751842)
  * Add libpng-dev as an alternative to libpng12-dev. (Closes: #662494)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 03 Jun 2015 23:38:18 +0200

rrdtool (1.4.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix librrd-ruby symlink to dir (Closes: #768283)
    - New librrd-ruby.maintscript.
    - control: librrd-ruby: Added ${misc:Pre-Depends}.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Sun, 16 Nov 2014 02:11:49 +0000

rrdtool (1.4.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix failure to build with perl 5.20 from experimental
    Closes: #752813
    + convert librrds-perl.install to executable script using
      $Config{vendorarch} instead of hardcoding /usr/lib/perl5
    + bump debhelper build-dependency and compat level to 9, needed for having
      an executable .install

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 11:16:56 +0000

rrdtool (1.4.8-1) unstable; urgency=medium

  [ Sebastian Harl ]
  * New upstream release; thanks to Alin Dobre for reporting this and
    providing various patches (Closes: #726159):
    - Fixed the xport JSON output format; thanks to Thomas Mainka for
      reporting this (Closes: #686825).
    - Fixed a segfault in rrdcached when using -j on non-existent directories;
      thanks to Witold Baryluk for reporting this (Closes: #663505).
    - Fixed segfault in rrdgraph caused by int32 overflows; thanks to Matej
      Kosik for reporting this (Closes: #451852).
  * Fixed changelog of 1.4.7-2 regarding the versioned build-dep on tcl-dev.
  * Merged 1.4.7-2.1 NMU; thanks to Christian Hofstaedtler (Closes: 736333).
  * debian/patches:
    - Added CVE-2013-2131; upstream patch fixing a format string vulnerability
      in rrdgraph; thanks to Henri Salo for reporting this (Closes: #708866).
      Raised urgency to medium for this.
  * debian/patches, debian/rules, debian/control:
    - Added build_ldadd; patch Makefile to pass $ALL_LIBS to rrdcached's
      linker flags to ensure it's going to be linked against libglib.
    - Build-depend on and use dh-autoreconf to manage the build_ldadd patch.
  * debian/control:
    - Optionally recommend fonts-dejavu-core as (the preferred) alternative to
      ttf-dejavu-core; thanks to Martin-Éric Racine for reporting this
      (Closes: #743947).
    - Updated standards-version to 3.9.5 -- no changes.
  * debian/rules:
    - Clean up bindings/perl-shared/MYMETA.json.
    - Added INSTALL_BASE= to the perl options; else, the Perl libs end up in
      $HOME.

  [ Alin Dobre ]
  * debian/patches:
    - Removed bts664724-rrdcached-j-segfault, ruby_bindings_format_string,
      and tcl-8.5 which were applied upstream.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 26 Apr 2014 21:18:20 +0200

rrdtool (1.4.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Ruby bindings packaging to match the Debian Ruby packaging
    policy. Based on a patch by Jonas Genannt.
    Introduce ruby-rrd package, turn librrd-ruby* into transitional
    packages to ruby-rrd; use gem2deb to build the bindings, and build
    them for currently supported versions of Ruby, without hardcoding
    a list of versions. (Closes: #687809, #722377)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 22 Jan 2014 11:27:16 +0100

rrdtool (1.4.7-2) unstable; urgency=low

  [ Sebastian Harl ]
  * Ack NMUs; thanks to Jonathan Wiltshire and gregor herrmann!
  * Added debian/patches/bts664724-rrdcached-j-segfault:
    Fixed segfault in rrdcached when starting without having the journal
    directory available: canonicalize the journal path after creating the
    directory; else, realpath(3) will return NULL causing strdup() to
    segfault. Also, check the return value of realpath(3) before further using
    it. Thanks to Helmut Grohne for reporting this (Closes: #664724).

  [ Bernd Zeimetz ]
  * Removed a restriction on the tcl-dev build-dep which was an accidental
    left over from a test-build against a new tcl version. Build-depend on
    tcl-dev >= 8 && <= 9 rather than >= 8.5. The tcl bindings support any 8.x
    version. This makes backporting easier.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 01 Aug 2012 10:23:39 +0200

rrdtool (1.4.7-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to install, postinst, invoke-rc.d rrdcached start, start-
    stop-daemon, segfault":
    (re-)create /var/lib/rrdcached/{journal,db} in init script.
    (Closes: #664724)
  * debian/rules: remove the generated bindings/perl-shared/MYMETA.yml in the
    clean target.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Jul 2012 17:35:13 +0200

rrdtool (1.4.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add ruby_bindings_format_string.patch to fix FTBFS
    (Closes: #676081)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 01 Jul 2012 12:37:47 +0100

rrdtool (1.4.7-1) unstable; urgency=low

  * [b59bb994] Merge commit 'upstream/1.4.7'
  * [8acead25] Refreshing patches, dropping bts625631-gcc4.5.
  * [75b42449] Ack NMU.
    Thanks to Luk Claes (Closes: #619688)
  * [e11e1d9e] Migrate to dh_python2.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 24 Jan 2012 23:35:35 +0100

rrdtool (1.4.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #619688).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 18:40:41 +0200

rrdtool (1.4.3-3) unstable; urgency=high

  * Reupload to unstable, which has Tcl 8.5 by now.
  * debian/patches:
    - Added bts625631-gcc4.5, fixing an compiler issue when using GCC 4.5;
      thanks to Maxime Petazzoni for reporting this and Sven Hartge for
      pointing out the upstream fix by anicka@suse.cz (Closes: #625631).
  * Set urgency to high because of the fix for #625631.
  * debian/source/format: Explicitly state version 1.0 for now.
  * debian/control:
    - Removed prehistoric 'Conflicts' introduced for an incompatibility with
      Woody.
    - Updated standards-version to 3.9.2.
  * debian/rrdtool.doc-base:
    - Fixed a spelling error detected by lintian.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 16 May 2011 10:28:46 +0200

rrdtool (1.4.3-2) experimental; urgency=low

  * debian/control: Rebuild against Tcl 8.5 (Closes: #582211).
    - Build-depend on tcl-dev (>= 8.5) and tcl (>= 8.5).
  * Uploading to experimental, which hosts Tcl 8.5 for now.
  * debian/patches:
    - Added tcl-8.5, fixing an issue identified by Tcl 8.5 in the Tcl
      bindings: So far, a strict version of the "Tcl" package was requested,
      which seems to have been ignored by Tcl < 8.5. This requirement has been
      removed.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 06 Jun 2010 15:22:39 +0200

rrdtool (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed bts573638-rrdcgi-segfault and bts573299-rrdgraph-M -- included
      upstream.

 -- Sebastian Harl <tokkee@debian.org>  Wed, 24 Mar 2010 08:46:16 +0100

rrdtool (1.4.2-2) unstable; urgency=low

  * debian/patches:
    - Added bts573638-rrdcgi-segfault: upstream patch fixing a segfault in
      rrdcgi's printlasttime() (and possibly others); thanks to Robert Luberda
      for reporting this (Closes: #573638).
    - Added bts573299-rrdgraph-M: fix short option parsing in rrd_graph() --
      added support for '-M' as documented in the manpage; thanks to Ralf
      Hildebrandt for reporting this (Closes: #573299).
  * debian/control:
    - Updated Standards-Version to 3.8.4 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 21 Mar 2010 21:37:37 +0100

rrdtool (1.4.2-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/rules:
    - Prepare to build with Python 2.6.

  [ Sebastian Harl ]
  * New upstream release; thanks to Antoine Beaupre for reporting this
    (Closes: #559370):
    - Fixed some typos in the manpages; thanks to Justin T. Pryzby for
      reporting this (Closes: #550919).
  * Uploading to unstable as this is not an SVN snapshot any more.
  * debian/README.Debian:
    - Added a note about <http://oss.oetiker.ch/rrdtool/pub/contrib/> as
      requested in #323969 and lost in 1.2.26-1.
  * debian/control, debian/rules:
    - Switched from Ruby 1.9 to Ruby 1.9.1 (affecting the librrd-ruby1.9 and
      rrdtool-dbg packages); thanks to Lucas Nussbaum for reporting this
      (Closes: #565833, #565835).
  * debian/control:
    - Let librrd-ruby depend on ${misc:Depends} (to shut up lintian, mostly).
  * Added debian/rrdtool.doc-base:
    - … pointing to /u/s/d/rrdtool/html/.
  * Added debian/rrdcached.doc-base:
    - … pointing to /u/s/d/rrdcached/html/.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 21 Jan 2010 22:56:17 +0100

rrdtool (1.4~rc2+20091004-1) experimental; urgency=low

  [ Sebastian Harl ]
  * New upstream SVN snapshot based on trunk at revision 1930.
  * Uploading to experimental.
  * debian/control:
    - Build-depend on gettext instead of intltool following the switch made by
      upstream.
    - Build-depend on libdbi0-dev, required by rrdgraph to read values from an
      SQL database.
    - Updated Standards-Version to 3.8.3.
    - Let the synopsis start with a small letter (as suggested in dev-ref
      6.2.2).
    - Let rrdtool-dbg recommend liblua5.1-rrd0.
  * debian/rules:
    - Remove config.h in the 'clean' target - this is created by configure but
      not cleaned up by any Makefile.
    - Use DEB_HOST_ARCH_CPU instead of DEB_HOST_GNU_TYPE to check for the
      build host.
    - Set examples/rrdcached/RRDCached.pm's file mode to 0644.
    - Run dh_installinit for the "rrdcached" package.
  * debian/patches:
    - Removed bts494874-gnu-kfreebsd - included upstream.
    - Removed bts332766-negative-timestamps - included upstream.
    - Removed compiler-warning-fixes - included upstream.
    - Updated bts428778-floating-point-exception for RRDtool 1.4.
  * Added debian/README.source:
    - The file includes a pointer to /usr/share/doc/quilt/README.source.
  * debian/librrd4.symbols:
    - Added symbols introduced in 1.4~rc2.
  * Added new binary package 'rrdcached' for the newly introduced "data
    caching daemon".
  * debian/rrdcached.init.d, debian/rrdcached.default:
    - Added an init script for rrdcached supporting start, stop, status,
      restart, force-reload. The script is based on the collectd init script.
  * debian/rrdtool.install:
    - Install manpages in section 3 as well.
  * debian/rrdcached.postrm:
    - Remove /var/lib/rrdcached/ on purge.

  [ Bernd Zeimetz ]
  * debian/rules, debian/control:
    - Build Lua bindings and put them into appropriate packages.
  * Added debian/lua-rrd.h.
  * debian/rules:
    - Tell dh_makeshlibs to not modify postinst/postrm of the lua packages -
      we do not need to run ldconfig when installing them.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 05 Oct 2009 22:27:13 +0200

rrdtool (1.3.8-1) unstable; urgency=low

  [ Sebastian Harl ]
  * New upstream release:
    - Fixed various memory leaks in the Python bindings, thanks to Anders
      Hammarquist for reporting this and providing a patch (Closes: #529291).
  * debian/patches:
    - Added bts530814-hurd to fix a FTBFS on Hurd, thanks to Marc Dequènes for
      reporting this and providing a patch (Closes: #530814).
    - Removed doc-fixes - applied upstream.
    - Added bts332766-negative-timestamps - upstream patch to fix the handling
      of negative timestamps in rrdupdate(1), thanks to Frank Zacharias for
      reporting this (Closes: #332766).
  * debian/control:
    - Removed transitional package "python-rrd" which is no longer required.
    - Let rrdtool-dbg depend on ${shlibs:Depends}.
    - Build-depend on intltool.

  [ Bernd Zeimetz ]
  * debian/rules, debian/control:
    - Build Python dbg modules into rrdtool-dbg. Add necessary
      (build-) dependencies.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 01 Jun 2009 18:49:13 +0200

rrdtool (1.3.7-1) unstable; urgency=low

  * New upstream release (Closes: #431060):
    - Fixed pathname used in rrdgraph's --imginfo output (Closes: #497739).
  * debian/patches:
    - Updated bts428778-floating-point-exception to apply to the latest
      version of rrdtool; use rrd_free2() instead of rrd_free() to not leak
      memory.
    - Updated no-rpath-for-perl to apply to the latest version of rrdtool.
    - Removed bts493553-pango-utf-8 - included upstream.
    - Removed bts496847-error-handling - included upstream.
    - Removed bts498183-segfault-madvise - included upstream.
    - Removed bts499349-memleaks - included upstream.
    - Removed bts499350-data-corruption - included upstream.
    - Removed typo-ruby - included upstream.
    - Added bts494874-gnu-kfreebsd to fix a FTBFS on GNU/kFreeBSD - thanks to
      Petr Salinger for the patch (Closes: #494874).
    - Added doc-fixes to fix a POD error in doc/rrdtutorial.pod.
    - Added compiler-warning-fixes - upstream patch to fix some compiler
      warnings.
  * debian/rules:
    - Remove src/librrd.sym in the clean target - this file is automatically
      created during the build but not cleaned up in the upstream Makefiles.
    - Remove .txt and .pod documentation from the 'rrdtool' binary package -
      the manpages are a lot more useful.
    - Pass --fail-missing (instead of --list-missing) to dh_install.
    - Use 'pyversions -vr' instead of 'pysupport-parseversions'.
  * Added new binary package rrdtool-dbg. Unfortunately, segfaults and the
    like are not uncommon in rrdtool - this will help to trace them back more
    easily (Closes: #518480).
  * debian/README.Debian:
    - Added new file with a short paragraph about the available documentation.
  * debian/control:
    - Moved librrd-ruby* packages from section "interpreters" to the newly
      added section "ruby".
    - Updated standards-version to 3.8.1 - no changes.
    - Added XS-Python-Version field, specifying versions >= 2.3.
  * debian/librrd-dev.install:
    - Added /usr/lib/pkgconfig/librrd.pc (Closes: #522144).
  * debian/rrdtool.install, debian/rrdtool.examples:
    - Install examples/* and ifOctets.tcl using dh_install instead of
      dh_installexamples. This allows the use of --fail-missing when running
      dh_install.
  * Removed debian/pyversions - has been replaced by the XS-Python-Version
    field.

 -- Sebastian Harl <sh@tokkee.org>  Mon, 11 May 2009 23:02:14 +0200

rrdtool (1.3.1-4) unstable; urgency=high

  * Urgency set to high because of the fix for #499350.
  * debian/patches:
    - Added upstream patch bts499350-data-corruption (upstream SVN r1480) to
      fix data corruption when updating multiple values in one go
      (Closes: #499350).
      (upstream bug #178 - http://oss.oetiker.ch/rrdtool-trac/ticket/178)
    - Added bts498183-segfault-madvise to fix a segfault on sparc caused by a
      wrong argument passed to madvise(2) - thanks to Jurij Smakov for
      valuable debugging information (Closes: #498183).
    - Added upstream patch bts496847-error-handling (upstream SVN r1471) to
      fix error handling of syscalls in rrdtool(1) (Closes: #496847).
    - Added upstream patch bts499349-memleaks (upstream SVN r1465, r1467,
      r1468, r1469, r1470, r1473) to fix a couple of memory leaks in rrdtool,
      librrd and the Perl and Ruby bindings (Closes: #499349).
    - Added trivial upstream patch typo-ruby (upstream SVN r1462) to fix a
      typo in the Ruby bindings.
  * debian/NEWS:
    - Added. Documented the changes required by the switch to libpango
      (Closes: #493575, #493594).

 -- Sebastian Harl <sh@tokkee.org>  Fri, 26 Sep 2008 01:41:05 +0200

rrdtool (1.3.1-3) unstable; urgency=low

  * Added "libxml2-dev" to librrd-dev's dependencies (Closes: #493342).
  * debian/patches:
    - Added bts493553-pango-utf-8 to try to make sure an UTF-8 string is
      passed to pango_layout_set_{text,markup}() as required by libpango
      (Closes: #493553).

 -- Sebastian Harl <sh@tokkee.org>  Mon, 04 Aug 2008 15:57:26 +0200

rrdtool (1.3.1-2) unstable; urgency=low

  * Reupload to unstable - thanks to Marc 'HE' Brockschmidt for the approval.
  * debian/patches:
    - Removed bts428780-validate-row-count - this is included in upstream
      version 1.3.
  * debian/control:
    - librrd-dev provides and replaces librrd2-dev to ease the transition.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 30 Jul 2008 11:44:53 +0200

rrdtool (1.3.1-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 23 Jul 2008 21:44:45 +0200

rrdtool (1.3.0-1) experimental; urgency=low

  [ Sebastian Harl ]
  * New upstream release.
    - Fixes a buffer overflow in librrd's error handling (Closes: #450578).
    - Validate RRA row count in rrdcreate (Closes: #428780).
  * Upload to experimental because of the required transition which has not
    yet been granted for Lenny by the release team.
  * debian/patches:
    - Updated patches to apply on 1.3.0.
    - "implicit-decl-fix" partly applied upstream
    - "typos" removed, has been applied upstream
  * debian/control:
    - Replaced librrd2 / librrd2-dev with librrd4 / librrd-dev.
    - Removed SONAME version from the -dev package name.
    - Added "ttf-dejavu | ttf-bitstream-vera" recommendation to librrd4 -
      upstream no longer ships DejaVuSansMono-Roman.ttf.
    - Replaced "libart-2.0-dev" with "libcairo2-dev, libpango1.0-dev" in the
      build dependencies and librrd-dev's dependencies following the switch
      made by upstream.
    - Added "libxml2-dev" to the build dependencies.
    - Updated standards-version to 3.8.0 - no changes.
    - No longer conflict / replace librrd0 and librrd0-dev - librrd0 is no
      longer available since Etch.
    - Added libc6-dev | libc-dev to librrd-dev's dependencies.
  * debian/librrd4.symbols:
    - Added symbols file for the new SONAME version number replacing
      librrd2.symbols.
  * debian/rules:
    - Install "NEWS" and "CHANGES" into all packages.
    - No longer set TCL_INC_DIR manually - has been fixed upstream.

  [ Bernd Zeimetz ]
  * debian/rules:
    - Adding an option to point configure to the right path to tcl. This is
      not needed for Lenny, but we also add it here to make coming backports
      more simple.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 15 Jun 2008 14:09:47 +0200

rrdtool (1.2.28-1) unstable; urgency=low

  [ Sebastian Harl ]
  * New upstream release.
    - Fixes a buffer overflow in librrd's error handling (Closes: #450578).
  * debian/control:
    - Updated standards-version to 3.8.0 - no changes.
    - No longer conflict / replace librrd0 and librrd0-dev - librrd0 is no
      longer available since Etch.
    - Added libc6-dev | libc-dev to librrd2-dev's dependencies.
  * debian/patches:
    - Added backported upstream patch bts428780-validate-row-count to validate
      the RRA row count in rrdcreate (Closes: #428780).
  * debian/librrd2.symbols:
    - Added the private symbol "rra_random_row@Base 1.2.28-1".
  * debian/rules:
    - Install "NEWS" and "CHANGES" into all packages.

  [ Bernd Zeimetz ]
  * debian/rules:
    - Adding an option to point configure to the right path to tcl. This is
      not needed for Lenny, but we also add it here to make coming backports
      more simple.
  * debian/patches/implicit-decl-fix:
    - Patching the implicit declaration in rrd_update.c in a nicer way.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 23 Jul 2008 21:01:04 +0200

rrdtool (1.2.27-2) unstable; urgency=low

  * Renamed global definition of LDFLAGS to LINKER_FLAGS in debian/rules to
    work around a broken behavior of dpkg which would use those flags
    unconditionally whenever invoking the linker, which is not wanted e.g.
    when compiling the python bindings (Closes: #476022).
  * Actually pass the linker flags to configure.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 16 Apr 2008 15:50:54 +0200

rrdtool (1.2.27-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream release.
    - Finally allows + as leading characters in the input (Closes: #283935).
  * debian/rules, debian/librrd2.install:
    - Install rrdtool's ttf and configure rrd to use it.
  * debian/patches:
    - Updating patches to apply on 1.2.27.
    - Adding debian/patches/bts428778-floating-point-exception to fix a corner
      case that produces a SIGFPE (Closes: #428778). Patch created by
      David Martínez Moreno.
  * debian/control:
    - Removing the ttf-dejavu dependency from librrd2 (Closes: #390617).
    - Builds with -O2 segfault on arm, so disable it on arm for now until the
      bug is properly debugged, which will take some time (Closes: #447041).

  [ Sebastian Harl ]
  * Adding debian/patches/typo by David Martínez Moreno to fix some typos
    (Closes: #432340).

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 24 Feb 2008 23:48:24 +0100

rrdtool (1.2.26-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream version (Closes: #431060).
  * Package hijacked as announced on debian-devel@lists.debian.org
    (Message-ID: <47A7A2A4.3020106@bzed.de>) due to the old maintainer
    being MIA.
  * Complete overhaul of the packaging:
    - debian/rules completely rewritten
    - debian/copyright redone as it didn't even list upstream's copyright
      correctly.
    - debian/post{inst,rm}: removed, debhelper takes care of this.
    - debian/control:
        * Update of Maintainer, Standards-Version, Uploaders
        * Building ruby modules now (Closes: #453304).
        * Change the Python binary package to conform with the Python policy,
          using python-support. Also renaming the package to follow the Python
          policy.
        * Make rrdtool-tcl compliant with policy
        * Bump Standards Version to 3.7.3.
        * Using and depending on quilt to handle patches.
        * Adding Provides: librrd-dev to librrd2-dev.
    - debian/watch:
        * File redone to meet version 3 of uscan and to work again, using the
          new location of the upstream source.

  [ Alexander Wirt ]
  * Removed rpath from perl and tcl modules
  * Let rrdtool-tcl depend on tcl 8.4

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Feb 2008 12:14:19 +0100

rrdtool (1.2.19-1) unstable; urgency=low

  * New maintainer (closes: #409518).
  * New upstream release:
    - Logarithmic graphs don't consume all available memory (closes: #402782).
    - This version at least does no longer have such rrdexplorer example
      (closes: #239565).
    - Patch for PREV(cname) was included long ago (closes: #160485).
    - I am no longer able to reproduce a segfault with PREV(name).  Closes:
      #180284.
  * Acknowledge NMU uploads (closes: #323975, #324497, #326653, #373379,
    #323771, #325708, #323611, #240369, #323969).
  * bindings/python/Makefile.in: Added -lpython2.4 in order to fix build
    failure.

 -- David Martínez Moreno <ender@debian.org>  Mon, 12 Feb 2007 02:18:22 +0100

rrdtool (1.2.15-0.3) unstable; urgency=high

  * Non-maintainer upload.
  * Fix high memory consumption by extracting r881 und r887 from upstream.
    Closes: #397691, #398111

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 14 Dec 2006 18:25:02 +0000

rrdtool (1.2.15-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed the python module based on the patch supplied by Brian Warner,
    thank you, closes: #397781.
  * Updated upstream URL in the copyright file.

 -- Josip Rodin <joy-packages@debian.org>  Mon, 27 Nov 2006 00:25:41 +0100

rrdtool (1.2.15-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version, closes: #364948.
    + Dropped our patches for #323771, it's now fixed upstream.
    + Seems to fix the crashes in RRDs::graph, closes: #392937.
  * Fixed up the package descriptions a little bit.
  * Updated package list in README.Debian.
  * Tidied up the copyright file.

 -- Josip Rodin <joy-packages@debian.org>  Mon,  6 Nov 2006 21:09:04 +0100

rrdtool (1.2.11-0.6) unstable; urgency=low

  * Convert to updated Python policy. Closes: #373379.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jun 2006 03:07:38 +0000

rrdtool (1.2.11-0.5) unstable; urgency=low

  * NMU.
  * Fix the path to the ttf-deja font and version librrd2 dependance on
    ttf-dejavu.

 -- Laurent Fousse <laurent@komite.net>  Mon,  9 Jan 2006 17:57:20 +0100

rrdtool (1.2.11-0.4) unstable; urgency=low

  * NMU.
  * Tighten the dependency of the binary packages on librrd2 to assert the use
    of a recent version depending on ttf-dejavu.
  * Fix 'rrdtool restore', replace the workaround from 1.2.11-0.3 with a patch
    from the upstream repository.  Closes: #323771.
  * Set the priority of the language bindings, which only depend on librrd2,
    to optional, as aleady done for python-rrd (rrdtool-tcl, librrds-perl).
    Closes: #240369.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Sep 2005 06:04:13 +0000

rrdtool (1.2.11-0.3) unstable; urgency=low

  * NMU.
  * Don't include own copy of ttf-dejavu font file, depend on ttf-dejavu.
    Patch by Jeremy Bobbio. Closes: #323975.
  * README.Debian: Add link to upstream contrib directory (closes: #323969).
  * NEWS: Install into librrd2{,-dev} as well (closes: #325708).
  * librrd[ps]-perl: Add README to locate the example files (closes: #323611).

 -- Matthias Klose <doko@debian.org>  Tue, 13 Sep 2005 11:03:47 +0000

rrdtool (1.2.11-0.2) unstable; urgency=low

  * librrd2-dev: Add conflict/replaces to librrd0 (.la) file.
    Closes: #323355.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Aug 2005 11:42:00 +0200

rrdtool (1.2.11-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.
    - Fix FTBFS on amd64 (closes: #294623).
    - Fix rrdcgi not handling quotes (closes: #243794).
    - Fix rrdcgi concatenation problem (closes: #232556).
    - New soname for the librrd library (closes: #309346).
  * Use debhelper V4.
  * Build-depend on libart2.0-dev, libfreetype6-dev.
  * Remove build dependencies on gd2 libs. (closes: #261752, #289003).
  * Build python bindings from this source, add Matthias Urlichs as uploader.
  * debian/copyright: Remove the paragraph "Modifications to upstream source",
    no modifications with this upload.
  * Remove empty files from examples directory (closes: #281194).
  * Build-depend on fixed cgilib (>= 0.5-4.1).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Aug 2005 17:30:00 +0200

rrdtool (1.0.49-1) unstable; urgency=low

  * New upstream release
  * librrd0 conflicts with older rrdtool, librrds-perl due to libpng
    incompatibility (Closes: #252271)
  * Change depends on librrd0-dev to -noxpm variant as well
  * Update depends on rrdtool-tcl to tcl8.4

 -- Matt Zimmerman <mdz@debian.org>  Thu,  4 Nov 2004 17:48:45 -0800

rrdtool (1.0.48-3) unstable; urgency=low

  * Placate disk space fascists by building with the -noxpm variant of libgd2
    (Closes: #261752)
  * Require a version of libgd which has GIF support restored (2.0.28)
    (Closes: #265660)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Oct 2004 11:43:06 -0700

rrdtool (1.0.48-2) unstable; urgency=low

  * Build against libgd2, since it now provides gif support as libgd-gif1
    did, and avoids a conflict with programs which link against both
    librrd and libgd2, such as php4-rrdtool (Closes: #261323)
    - Build-Depends: s/libgd-gif1-dev/libgd2-xpm-dev/
    - librrd0-dev Depends: likewise
  * Add libc-dev as an alternative in librrd0-dev's libc6-dev dependency

 -- Matt Zimmerman <mdz@debian.org>  Sat, 24 Jul 2004 23:57:17 -0700

rrdtool (1.0.48-1) unstable; urgency=low

  * New upstream release (Closes: #256795)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  4 Jul 2004 01:40:30 -0700

rrdtool (1.0.46-3) unstable; urgency=low

  * Add dependencies to librrd0-dev to ensure that static linking is
    possible: libgd-gif1-dev, zlib1g-dev
  * #include <stdio.h> in rrd.h (Closes: #238849)
  * Only link rrdcgi with -lcgi, not librrd

 -- Matt Zimmerman <mdz@debian.org>  Fri, 19 Mar 2004 11:38:39 -0800

rrdtool (1.0.46-2) unstable; urgency=medium

  * Fix tcl module installation (Closes: #231171)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  4 Feb 2004 15:35:46 -0800

rrdtool (1.0.46-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Jan 2004 23:22:09 -0800

rrdtool (1.0.45-1) unstable; urgency=low

  * New upstream release
  * Deal with changed tclrrd naming scheme
  * Build with tcl8.4
  * Remove old dpkg-dev build-dependency; even woody is new enough

 -- Matt Zimmerman <mdz@debian.org>  Wed, 17 Dec 2003 14:09:11 -0800

rrdtool (1.0.42-2) unstable; urgency=low

  * Build-Depends: libpng12-dev instead of libpng3-dev (when will the madness
    end?) (Closes: #195224) I hope this will also fix weird version mismatch
    problems (Closes: #194900)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 31 May 2003 15:06:42 -0400

rrdtool (1.0.42-1) unstable; urgency=low

  * New upstream release
  * librrd0-dev Section: libdevel
  * librrd[sp]-perl Section: perl
  * Build with libpng3 (Closes: #189493)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 15 May 2003 19:44:37 -0400

rrdtool (1.0.40-2) unstable; urgency=low

  * Correctly suppress non-image output when writing image to stdout
    (Closes: #182217)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  1 Mar 2003 16:59:39 -0500

rrdtool (1.0.40-1) unstable; urgency=low

  * New upstream release
  * Remove unnecessary rrd_free to avoid crash on invalid option
    (Closes: #166156)
  * Clean example source code; some libtool cruft was getting installed in
    /usr/share/doc/examples

 -- Matt Zimmerman <mdz@debian.org>  Tue, 17 Dec 2002 22:11:46 -0500

rrdtool (1.0.39-2) unstable; urgency=low

  * Rebuild for perl 5.8 (Closes: #158728)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 25 Aug 2002 17:29:41 -0400

rrdtool (1.0.39-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Wed, 31 Jul 2002 00:40:00 -0400

rrdtool (1.0.38-1) unstable; urgency=low

  * New upstream release (Closes: #148486)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 29 May 2002 12:28:28 -0400

rrdtool (1.0.35-2) unstable; urgency=low

  * Remove CVS directories with rm -rf.  This broke autobuilds entirely.
    (Closes: #140075)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 26 Mar 2002 17:15:01 -0500

rrdtool (1.0.35-1) unstable; urgency=low

  * New upstream release.

 -- Matt Zimmerman <mdz@debian.org>  Sun, 24 Mar 2002 11:29:10 -0500

rrdtool (1.0.33-9) unstable; urgency=low

  * Call dh_shlibdeps with -l to allow it to find dependencies correctly
    (Closes: #118629)
  * Add call to ldconfig in postrm of librrd0
  * Remove .cvsignore files from installed examples

 -- Matt Zimmerman <mdz@debian.org>  Sat, 10 Nov 2001 14:14:51 -0500

rrdtool (1.0.33-8) unstable; urgency=low

  * Use AM_MAINTAINER_MODE to keep the makefiles from trying to rebuild
    autoconf/automake stuff during the build (Closes: #117599)
  * Regenerated everything AGAIN.
  * Use DESTDIR instead of prefix= during "make install"

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Oct 2001 22:22:07 -0500

rrdtool (1.0.33-7) unstable; urgency=low

  * Add an example to the rrddump documentation showing what is necessary
    to transfer an RRD from one architecture to another. (Closes: #117147)
  * Regenerated autoconf/automake configs

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Oct 2001 02:28:16 -0500

rrdtool (1.0.33-6) unstable; urgency=low

  * Spelling corrections from Martin Schulze (Closes: #110784)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  8 Sep 2001 13:13:22 -0400

rrdtool (1.0.33-5) unstable; urgency=low

  * Ship with pre-generated files from autoconf2.50/automake, rather than
    pulling them in at build-time, in order to work around the current
    libtool mess.  This makes the diff less manageable, but should make
    the build more stable.
  * debian/control: remove build-dependencies on autoconf/automake/libtool
  * debian/rules: don't call autoconf/automake
  * Fix shlibs file (it was trying to use a substitution)
  * configure.in: remove makefiles that no longer exist from AC_OUTPUT.
    Apparently this is an error in autoconf 2.50.
  * configure.in: Remove wacky logic to pull PIC flags out of libtool, and
    let libtool do the right thing.
  * debian/rules: shlibs.local hackery is no longer necessary, removed

 -- Matt Zimmerman <mdz@debian.org>  Fri,  3 Aug 2001 17:36:43 -0400

rrdtool (1.0.33-4) unstable; urgency=low

  * Add build-dependencies on libtool and autoconf (Closes: #105655)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 17 Jul 2001 15:44:25 -0400

rrdtool (1.0.33-3) unstable; urgency=low

  * Update config.{sub,guess} from autotools-dev 20010702.1
    (Closes: #105037)
  * Update ltmain.sh for good measure, from libtool 1.4-1
  * Build-Depend on autoconf, and run autoconf and aclocal from
    debian/rules (in addition to automake)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 14 Jul 2001 03:19:22 -0400

rrdtool (1.0.33-2) unstable; urgency=low

  * Rebuild with latest tcl8.3-dev, to fix shared object extension

 -- Matt Zimmerman <mdz@debian.org>  Sat,  3 Mar 2001 17:28:24 -0500

rrdtool (1.0.33-1) unstable; urgency=low

  * New upstream version.
  * This is yet another patch release to fix some distribution/compilation
    problems.  There should be no visible changes for Debian users from
    1.0.32-3.

 -- Matt Zimmerman <mdz@debian.org>  Thu,  1 Mar 2001 02:27:53 -0500

rrdtool (1.0.32-3) unstable; urgency=low

  * Fix the tcl extension module to build against tcl8.3, rather than
    tcl8.0 (Closes: #87357)
  * debian/control: Build-depend on tcl8.3-dev
  * debian/rules: tclconfigdir = /usr/lib/tcl8.3
  * tcl/Makefile.am: (upstream) -I/usr/include/tcl@TCL_VERSION@
  * configure.in: (upstream) AC_SUBST(TCL_VERSION)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 24 Feb 2001 02:25:46 -0500

rrdtool (1.0.32-2) unstable; urgency=low

  * List changes to upstream source in the copyright file (as well as the
    changelog)
  * Link against libgd-gif instead of libgd, to restore GIF support

 -- Matt Zimmerman <mdz@debian.org>  Fri, 23 Feb 2001 15:27:37 -0500

rrdtool (1.0.32-1) unstable; urgency=low

  * New upstream version.  Hopefully this one will last more than 24
    hours (Closes: #75771)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 21 Feb 2001 20:13:09 -0500

rrdtool (1.0.27-7) unstable; urgency=low

  * debian/rules: Updated for new Perl policy
  * debian/rules: Don't use install-stamp; it causes more problems than it
    prevents
  * debian/rules: Don't call dh_suidregister; we didn't use it anyway
  * debian/control: Build-depend on the new debhelper for dh_perl
  * debian/control: rrdtool-tcl only seems to work with 8.0, so depend on
    tcl8.0
  * debian/control: Build-depend on perl 5.6.0+
  * debian/librrd?-perl: Updated for new Perl filesystem layout

 -- Matt Zimmerman <mdz@debian.org>  Thu, 15 Feb 2001 19:04:11 -0500

rrdtool (1.0.27-6) unstable; urgency=low

  * debian/rules: Handle DEB_BUILD_OPTIONS debug, nostrip
  * debian/rules: Separate out "configure" target
  * debian/rules: Miscellaneous cleanup
  * Recompile librrds-perl against perl-5.6

 -- Matt Zimmerman <mdz@debian.org>  Tue, 19 Dec 2000 21:23:55 -0500

rrdtool (1.0.27-5) unstable; urgency=low

  * Fix Build-Depends to reflect our dependency on dpkg-dev >= 1.7.0 |
    librrd0.  The old dpkg can only calculate our dependencies correctly
    if the runtime library is installed on the system, so potato users
    must either install the potato librrd0 or the new dpkg-dev
    (Closes: #77479)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 20 Nov 2000 20:39:55 -0500

rrdtool (1.0.27-4) unstable; urgency=low

  * Updated to comply with policy 3.2.1.0:
    - Don't build with -g by default
  * Build-Depend on tcl8.0-dev (not tcl-dev), since that is the only
    version we currently work with.
  * Added automake to Build-Depends (oops)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 18 Nov 2000 22:29:02 -0500

rrdtool (1.0.27-3) unstable; urgency=low

  * Big packaging cleanup release.
  * Fixed perl module compilation to link with the shared library, rather
    than including a copy of the static library inside the .so (also fixes
    a lintian error, shlib-with-non-pic-code in librrds-perl)
  * Fixed tcl module compilation to link with the shared library, rather
    than including a copy of the static library inside the .so (also fixes
    a lintian error, shlib-with-non-pic-code in rrdtool-tcl)
  * The above shrunk the size of the perl and tcl library packages from
    60k each to about 20k (perl) and 16k (tcl)
  * We can now use shlibdeps to calculate the dependencies for
    librrds-perl, so those will be more correct now
  * Rather than include Makefile.in changes in the .diff.gz, just keep our
    modifications to Makefile.am and run automake in debian/rules.  This
    makes the .diff.gz much smaller and cleaner
  * Fixed shared library dependencies all around to be smarter
  * rrdtool package now Suggests librrds-perl (rather than depending on
    perl), as it is only needed for an auxiliary script for converting
    mrtg data

 -- Matt Zimmerman <mdz@debian.org>  Fri, 10 Nov 2000 19:34:05 -0500

rrdtool (1.0.27-2) unstable; urgency=low

  * Updated maintainer email address (now official maintainer)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  1 Nov 2000 22:44:41 -0500

rrdtool (1.0.27-1) unstable; urgency=low

  * New upstream version.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Wed, 13 Sep 2000 13:10:14 -0400

rrdtool (1.0.26-1) unstable; urgency=low

  * New upstream version.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Sun, 10 Sep 2000 16:34:08 -0400

rrdtool (1.0.25-1) unstable; urgency=low

  * New upstream version.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Sun, 23 Jul 2000 02:23:53 -0400

rrdtool (1.0.24-2) unstable; urgency=low

  * Updated for libgd 1.8.3 (build depends, recompile)

 -- Matt Zimmerman <mdz@csh.rit.edu>  Fri,  7 Jul 2000 19:33:29 -0400

rrdtool (1.0.24-1) unstable; urgency=low

  * New upstream version (Closes: #61997).

 -- Matt Zimmerman <mdz@csh.rit.edu>  Fri, 30 Jun 2000 13:53:27 -0400

rrdtool (1.0.17-1) unstable; urgency=low

  * New upstream version.
  * Now creates rrdtool-tcl, containing tcl bindings.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Wed, 26 Apr 2000 13:16:24 -0700

rrdtool (1.0.16-1) unstable; urgency=low

  * New upstream version.
  * Not released.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Wed, 26 Apr 2000 10:53:36 -0700

rrdtool (1.0.13-2) unstable; urgency=low

  * Build-Depends: cgilib, zlib1g-dev, libpng2-dev, libgd1g-dev, groff,
    debhelper.  Hopefully that's everything.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Fri,  7 Apr 2000 14:16:55 -0700

rrdtool (1.0.13-1) unstable; urgency=low

  * New upstream version (Closes: #58583)
  * Added Build-Depends for cgilib (Closes: #55270)

 -- Matt Zimmerman <mdz@csh.rit.edu>  Thu, 23 Mar 2000 15:55:37 -0800

rrdtool (1.0.10-1) unstable; urgency=low

  * New upstream version.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Mon, 10 Jan 2000 16:46:33 -0800

rrdtool (1.0.7-3) unstable; urgency=low

  * Non-i386 fixes, thanks to Christopher C Chimelis <chris@debian.org>:
  * Changed 'clean' target in debian/rules to remove the auto-generated
    Makefiles for the Perl modules
  * Changed Depends: for librrds-perl to use shlibdeps

 -- Matt Zimmerman <mdz@csh.rit.edu>  Mon, 22 Nov 1999 10:47:13 -0800

rrdtool (1.0.7-2) unstable; urgency=low

  * Linked RRDs.so against libpng, closes: #49701

 -- Matt Zimmerman <mdz@csh.rit.edu>  Tue,  9 Nov 1999 15:02:40 -0800

rrdtool (1.0.7-1) unstable; urgency=low

  * Initial Release.
  * Upstream source ships with cgilib-0.4, gd-1.3, libpng-1.0.3, and
    zlib-1.3.3 (!).  Build process is modified to skip building these, and
    instead link with the Debian versions.
  * Modifications for gd 1.6.1 included removal of GIF support (no longer
    included with gd as of 1.6)

 -- Matt Zimmerman <mdz@csh.rit.edu>  Sat, 11 Sep 1999 13:29:29 -0700
